import numpy as np
import pandas as pd
from sklearn.linear_model import LinearRegression
import matplotlib.pyplot as plt

# サンプルデータ作成
np.random.seed(42)
X = np.random.rand(50).reshape(-1, 1) * 10  # 説明変数
y = 3 * X.flatten() + np.random.randn(50) * 2  # 目的変数（傾き3 + ノイズ）

# モデル構築
model = LinearRegression()
model.fit(X, y)

# 回帰直線の計算
y_pred = model.predict(X)

# プロット
plt.scatter(X, y, color="blue", label="実測値")
plt.plot(X, y_pred, color="red", label="回帰直線")
plt.title("線形回帰")
plt.xlabel("説明変数")
plt.ylabel("目的変数")
plt.legend()
plt.show()
