import numpy as np
import pandas as pd
from sklearn.linear_model import LogisticRegression
from sklearn.model_selection import train_test_split
from sklearn.metrics import accuracy_score, classification_report

# サンプルデータ作成
np.random.seed(42)
X = np.random.rand(100).reshape(-1, 1) * 10  # 説明変数
y = (X.flatten() > 5).astype(int)  # 目的変数（閾値5を基準）

# データ分割
X_train, X_test, y_train, y_test = train_test_split(X, y, test_size=0.3, random_state=42)

# モデル構築
model = LogisticRegression()
model.fit(X_train, y_train)

# 予測と評価
y_pred = model.predict(X_test)
print("分類精度:", accuracy_score(y_test, y_pred))
print("分類レポート:\n", classification_report(y_test, y_pred))
