import numpy as np
from sklearn.tree import DecisionTreeClassifier, plot_tree
from sklearn.model_selection import train_test_split
import matplotlib.pyplot as plt

# サンプルデータ作成
np.random.seed(42)
X = np.random.rand(100, 2) * 10  # 2つの特徴量
y = (X[:, 0] + X[:, 1] > 10).astype(int)  # 2つの特徴量の合計で分類

# データ分割
X_train, X_test, y_train, y_test = train_test_split(X, y, test_size=0.3, random_state=42)

# モデル構築
model = DecisionTreeClassifier(max_depth=3, random_state=42)
model.fit(X_train, y_train)

# 決定木の可視化
plt.figure(figsize=(10, 8))
plot_tree(model, feature_names=["Feature1", "Feature2"], class_names=["Class 0", "Class 1"], filled=True)
plt.title("決定木")
plt.show()
